Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.container
Enum CacheInfo.Type

    java.lang.Object
      java.lang.Enum<CacheInfo.Type>
          org.jivesoftware.openfire.container.CacheInfo.Type

All Implemented Interfaces:
  Serializable, Comparable<CacheInfo.Type>

Enclosing class:
  CacheInfo

    public static enum CacheInfo.Type

extends Enum<CacheInfo.Type>

Enum Constant Summary
`distributed` An distributed-scheme defines caches where the storage for entries is partitioned across cluster nodes.
`optimistic` An optimistic scheme defines a cache which fully replicates all of its data to all cluster nodes that are running the service.

Method Summary
`String` | `getName()`
`static CacheInfo.Type` | `valueof(String name)`
`static CacheInfo.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheInfo.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### optimistic

    public static final CacheInfo.Type optimistic

  An optimistic scheme defines a cache which fully replicates all of its data to all cluster nodes that are running the service. This cache is good for frequent reads and not frequent writes. However, this cache will not scale fine if it has lot of content that will end up consuming all the JVM memory. For this case a `distributed` is a better option.

### distributed

    public static final CacheInfo.Type distributed

  An distributed-scheme defines caches where the storage for entries is partitioned across cluster nodes.

Method Detail

### values

    public static final CacheInfo.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheInfo.Type c : CacheInfo.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheInfo.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### valueof

    public static CacheInfo.Type valueof(String name)

### getName

    public String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.